#include <iostream>
#include <cstdlib>

using namespace std;

int main()
{
    int ucenici, brParova, sreca[200], parovi[200][200];

    cin>>ucenici>>brParova;

    for(int i=0; i<ucenici; i++)
    {
            cin>>sreca[i];
    }

    for(int i=0; i<brParova; i++)
    {
        for(int j=0; j<2; j++)
            cin>>parovi[i][j];
    }

    int r=0;

    //izbaciti slucajeve 2 1    1 2

    for (int k=1; k<=ucenici; k++)
    {
        for(int i=0; i<brParova; i++)
        {
            for(int j=0; j<2; j++)
            {
                if(k == parovi[i][j])
                {
                    r=r+sreca[k-1];
                }
            }
        }
    }

    r=abs(r);

    cout<<r;

    return 0;
}